//+------------------------------------------------------------------+
//|                                                  A Daytrader.mq4 |
//|                                                               RG |
//|                                                                  |
//+------------------------------------------------------------------+

//---- input parameters

extern double    TakeProfit=70.0;
extern double    Lots=3;
extern double    TrailingStop=15.0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }


//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 

   
   int cnt, ticket, total;
   double ArrowUp, ArrowDown;
   
   
   
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }
   if(TakeProfit<10)
     {
      Print("TakeProfit less than 10");
      return(0);  // check TakeProfit
     }
     
     
      ArrowUp = iCustom(NULL,0,"PZ_DayTrading",1,1);
      ArrowDown = iCustom(NULL,0,"PZ_DayTrading",2,1);
   
   
   
   total  = OrdersTotal(); 
   if(total < 1) 
     
     {
       if  (ArrowUp!=1)
         {
            ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,0,Ask+TakeProfit*Point,"DayTrader",12345,0,Green);
            if(ticket>0)
              {
               if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
              }
            
            return(0);
         }
         if (ArrowDown!=2)
         {

            ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,0,Bid-TakeProfit*Point,"DayTrader",12345,0,Red);
            if(ticket>0)
              {
               if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
              }
            
            return(0);
         }
         return(0);
     }
   for(cnt=0;cnt<total;cnt++)
     
   return(0);
  }
//+------------------------------------------------------------------+